<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format">


	<xsl:decimal-format name="format-nombre" decimal-separator="," grouping-separator=" " NaN=" " percent=" "/>
	<xsl:decimal-format name="format-qt" decimal-separator="," grouping-separator=" " NaN=" " percent=" "/>
	<xsl:decimal-format name="format-pc" decimal-separator="," grouping-separator=" " NaN=" " percent="%"/>

	<xsl:output method="fo" indent="yes"/>

	<xsl:param name="version">1.3</xsl:param>
	<xsl:param name="auteur">ALM</xsl:param>
	<xsl:param name="parm_repimage"></xsl:param>

	<!-- TEMPLATE DES BUDGETS -->
	<xsl:template match="servprog">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format"
			xmlns:fox="http://xml.apache.org/fop/extensions">

			<fo:layout-master-set>
				<fo:simple-page-master master-name="principale"
					margin-top="0.1cm"
					margin-bottom="0cm"
					margin-left="0.5cm"
					margin-right="0.5cm"
					page-width="21cm"
					page-height="29.7cm">
			    	<fo:region-body margin-top="1.6cm" margin-bottom="2.8cm"/>
			    	<fo:region-before extent="1.6cm"/>
			    	<fo:region-after extent="2.8cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>

			<!-- ARBORESCENCE -->
			<xsl:for-each select="host">
				<fox:outline>
					<xsl:attribute name="internal-destination"><xsl:value-of select="@idhost"/></xsl:attribute>
					<fox:label>Machine : <xsl:value-of select="lbhost"/> (<xsl:value-of select="@idhost"/>)</fox:label>
					<xsl:for-each select="prog">
						<fox:outline>
							<xsl:attribute name="internal-destination"><xsl:value-of select="../@idhost"/>.<xsl:value-of select="@norefprog"/></xsl:attribute>
							<fox:label>Programme : <xsl:value-of select="lbprog"/></fox:label>
							<xsl:for-each select="rep">
								<fox:outline>
									<xsl:attribute name="internal-destination"><xsl:value-of select="../../@idhost"/>.<xsl:value-of select="../@norefprog"/>.<xsl:value-of select="nmrep"/></xsl:attribute>
									<fox:label>Rpertoire : <xsl:value-of select="nmrep"/></fox:label>
									<xsl:for-each select="fic">
										<fox:outline>
											<xsl:attribute name="internal-destination"><xsl:value-of select="../../../@idhost"/>.<xsl:value-of select="../../@norefprog"/>.<xsl:value-of select="../nmrep"/>.<xsl:value-of select="nmfic"/></xsl:attribute>
											<fox:label>Fichier : <xsl:value-of select="nmfic"/></fox:label>
											<xsl:for-each select="objet">
												<fox:outline>
													<xsl:attribute name="internal-destination"><xsl:value-of select="../../../../@idhost"/>.<xsl:value-of select="../../../@norefprog"/>.<xsl:value-of select="../../nmrep"/>.<xsl:value-of select="../nmfic"/>.<xsl:value-of select="lbobjet"/></xsl:attribute>
													<fox:label>Objet : <xsl:value-of select="lbobjet"/></fox:label>
												</fox:outline>
											</xsl:for-each>
										</fox:outline>
									</xsl:for-each>
								</fox:outline>
							</xsl:for-each>
						</fox:outline>
					</xsl:for-each>
				</fox:outline>
			</xsl:for-each>

			<xsl:apply-templates select="host"/>

		</fo:root>
    </xsl:template>


	<!-- ORDINATEUR -->
	<xsl:template name="ordi">
		<fo:block>
			<fo:external-graphic content-height="9px" content-width="16px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/host.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- PROGRAMME -->
	<xsl:template name="programme">
		<fo:block>
			<fo:external-graphic content-height="14px" content-width="16px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/prog.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- REPERTOIRE -->
	<xsl:template name="repertoire">
		<fo:block>
			<fo:external-graphic content-height="13px" content-width="16px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/rep.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- COCHE ROUGE -->
	<xsl:template name="cocroug">
		<fo:block>
			<fo:external-graphic content-height="9px" content-width="10px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/coche_rouge.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- COCHE VERTE -->
	<xsl:template name="cocvert">
		<fo:block>
			<fo:external-graphic content-height="9px" content-width="10px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/coche_verte.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- CROIX BLEUE -->
	<xsl:template name="croixbleu">
		<fo:block>
			<fo:external-graphic content-height="9px" content-width="10px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/croix_bleu.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- CROIX ROUGE -->
	<xsl:template name="croixrouge">
		<fo:block>
			<fo:external-graphic content-height="9px" content-width="10px">
				<xsl:attribute name="src"><xsl:value-of select="concat(concat('url(',$parm_repimage),'portail/croix_rouge.gif)')"/></xsl:attribute>
			</fo:external-graphic>
		</fo:block>
    </xsl:template>


	<!-- LES HOST -->
	<xsl:template match="host">

		<fo:page-sequence master-reference="principale" initial-page-number="1">

			<!-- TITRE -->
			<fo:static-content flow-name="xsl-region-before">
				<fo:block>
					<fo:table table-layout="fixed">
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="12cm"/>
						<fo:table-column column-width="4cm"/>
						<fo:table-body>
							<fo:table-row height="1cm" display-align="center">
								<fo:table-cell/>
								<fo:table-cell background-color="lightGray" font-weight="bold"
									border="solid 1pt" padding="0pt 1.5pt">
									<fo:block text-align="center">
										<fo:inline font-family="Times" font-size="14.0pt">GESTION DES VERSIONS</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell/>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:block>
			</fo:static-content>


			<!-- PIED -->
			<fo:static-content flow-name="xsl-region-after">
				<fo:block>
					<fo:table table-layout="fixed">
						<fo:table-column column-width="1cm"/>
						<fo:table-column column-width="8cm"/>
						<fo:table-column column-width="1cm"/>
						<fo:table-column column-width="1cm"/>
						<fo:table-column column-width="1cm"/>
						<fo:table-column column-width="8cm"/>
						<fo:table-body>
							<fo:table-row height="0.3cm"/>

							<!-- LEGENDE -->
							<fo:table-row font-family="Times" font-size="9pt">
								<fo:table-cell padding="0pt 1.5pt" text-align="right"
									border-left="solid 0.5pt" border-top="solid 0.5pt">
									<fo:block>
										<fo:inline>
											<xsl:call-template name="croixrouge"/>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" number-columns-spanned="2"
									border-right="solid 0.5pt" border-top="solid 0.5pt">
									<fo:block>
										<fo:inline>
											Pas sur serveur mais sur serveur de rfrence
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" text-align="right"
									border-left="solid 0.5pt" border-top="solid 0.5pt">
									<fo:block>
										<fo:inline>
											<xsl:call-template name="cocroug"/>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" number-columns-spanned="2"
									border-right="solid 0.5pt" border-top="solid 0.5pt">
									<fo:block>
										<fo:inline>
											Version diffrente
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row font-family="Times" font-size="10.0pt">
								<fo:table-cell padding="0pt 1.5pt" text-align="right"
									border-left="solid 0.5pt" border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline>
											<xsl:call-template name="croixbleu"/>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" number-columns-spanned="2"
									border-right="solid 0.5pt" border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline>
											Sur serveur mais pas sur serveur de rfrence
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" text-align="right"
									border-left="solid 0.5pt" border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline>
											<xsl:call-template name="cocvert"/>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" number-columns-spanned="2"
									border-right="solid 0.5pt" border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline>
											Version bonne
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row height="0.5cm"/>

							<!-- NUMERO DE PAGE -->
							<fo:table-row text-align="right" font-family="Times" font-size="10.0pt">
								<fo:table-cell/>
								<fo:table-cell/>
								<fo:table-cell padding="0pt 1.5pt" number-columns-spanned="2" text-align="center">
									<fo:block>
										<fo:inline>Page <fo:page-number/>/<fo:page-number-citation>
										<xsl:attribute name="ref-id">block_fin_page_<xsl:value-of select="@idhost"/></xsl:attribute>
										</fo:page-number-citation></fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="0pt 1.5pt" text-align="right" number-columns-spanned="2">
									<fo:block>
										<fo:inline><xsl:value-of select="/servprog/date_du_jour"/></fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:block>
			</fo:static-content>


			<!-- REGION BODY -->
			<fo:flow flow-name="xsl-region-body">

				<fo:block>
					<fo:table table-layout="fixed" font-family="Helvetica">
						<fo:table-column column-width="1cm"/>	<!-- Dessin ordi -->
						<fo:table-column column-width="19cm"/>	<!-- Idhost -->

						<fo:table-body font-size="10pt">
							<fo:table-row>
								<fo:table-cell text-align="right" padding="2.5pt 3.5pt"
									border-top="solid 0.5pt" border-left="solid 0.5pt"
									border-bottom="solid 0.5pt"
									background-color="lightGray">
									<xsl:attribute name="id"><xsl:value-of select="@idhost"/></xsl:attribute>
									<xsl:call-template name="ordi"/>
								</fo:table-cell>
								<fo:table-cell padding="2.5pt 3.5pt" background-color="lightGray"
									border-top="solid 0.5pt" border-right="solid 0.5pt"
									border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline>
											<xsl:value-of select="lbhost"/><xsl:text> ( </xsl:text><xsl:value-of select="@idhost"/><xsl:text> )</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

							<xsl:apply-templates select="prog"/>

						</fo:table-body>

					</fo:table>
				</fo:block>


				<fo:block>
					<xsl:attribute name="id">block_fin_page_<xsl:value-of select="@idhost"/></xsl:attribute>
				</fo:block>
			</fo:flow>

		</fo:page-sequence>

	</xsl:template>


	<!-- LES PROGRAMMES -->
	<xsl:template match="prog">

		<fo:table-row>
			<fo:table-cell/>
			<fo:table-cell>
				<fo:block>
					<fo:table table-layout="fixed" font-family="Helvetica">
						<fo:table-column column-width="1cm"/>	<!-- Dessin prog -->
						<fo:table-column column-width="18cm"/>	<!-- lbprog -->

						<fo:table-body font-size="10pt">
							<fo:table-row height="0.3cm"/>
							<fo:table-row>
								<fo:table-cell text-align="right" padding="0pt 3.5pt"
									border-top="solid 0.5pt" border-left="solid 0.5pt"
									border-bottom="solid 0.5pt">
									<xsl:attribute name="id"><xsl:value-of select="../@idhost"/>.<xsl:value-of select="@norefprog"/></xsl:attribute>
									<xsl:call-template name="programme"/>
								</fo:table-cell>
								<fo:table-cell padding="3pt 3.5pt"
									border-top="solid 0.5pt" border-right="solid 0.5pt"
									border-bottom="solid 0.5pt">
									<fo:block>
										<fo:inline><xsl:value-of select="lbprog"/></fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

							<xsl:apply-templates select="rep"/>

						</fo:table-body>

					</fo:table>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>

	</xsl:template>


	<!-- LES REPERTOIRES -->
	<xsl:template match="rep">

		<fo:table-row>
			<fo:table-cell/>
			<fo:table-cell>
				<fo:block>
					<fo:table table-layout="fixed" font-family="Helvetica">
						<fo:table-column column-width="0.5cm"/>		<!-- Dessin rep -->
						<fo:table-column column-width="17.5cm"/>	<!-- nmrep -->

						<fo:table-body font-size="10pt">
							<fo:table-row height="0.3cm"/>
							<fo:table-row>
								<fo:table-cell text-align="right">
									<xsl:attribute name="id"><xsl:value-of select="../../@idhost"/>.<xsl:value-of select="../@norefprog"/>.<xsl:value-of select="nmrep"/></xsl:attribute>
									<xsl:call-template name="repertoire"/>
								</fo:table-cell>
								<fo:table-cell padding="2.5pt 3.5pt">
									<fo:block>
										<fo:inline><xsl:value-of select="nmrep"/></fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

							<xsl:apply-templates select="fic"/>

						</fo:table-body>

					</fo:table>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>

	</xsl:template>


	<!-- LES FICHIERS -->
	<xsl:template match="fic">

		<fo:table-row>
			<fo:table-cell/>
			<fo:table-cell>
				<fo:block>
					<fo:table table-layout="fixed" font-family="Helvetica">
						<fo:table-column column-width="0.5cm"/>		<!-- Dessin cdverif -->
						<fo:table-column column-width="0.5cm"/>		<!-- Dessin fic -->
						<fo:table-column column-width="15.5cm"/>	<!-- nmfic -->
						<fo:table-column column-width="1cm"/>		<!-- colonne vide -->

						<fo:table-body font-size="9pt">
							<fo:table-row>
								<fo:table-cell text-align="right" border-left="solid 0.5pt" border-top="solid 0.5pt">
									<xsl:attribute name="id"><xsl:value-of select="../../../@idhost"/>.<xsl:value-of select="../../@norefprog"/>.<xsl:value-of select="../nmrep"/>.<xsl:value-of select="nmfic"/></xsl:attribute>
									<xsl:if test="@cdverif='V'">
										<xsl:call-template name="cocvert"/>
									</xsl:if>
									<xsl:if test="@cdverif='E'">
										<xsl:call-template name="cocroug"/>
									</xsl:if>
									<xsl:if test="@cdverif='X'">
										<xsl:call-template name="croixrouge"/>
									</xsl:if>
									<xsl:if test="@cdverif!='V' and @cdverif!='E' and @cdverif!='X'">
										<xsl:call-template name="croixbleu"/>
									</xsl:if>
								</fo:table-cell>
								<fo:table-cell border-top="solid 0.5pt"
									number-columns-spanned="2" padding="3.5pt 3.5pt">
									<fo:block>
										<fo:inline>
											<xsl:value-of select="nmfic"/>
											<xsl:if test="dtinter!=''">
												<xsl:text>, date: </xsl:text><xsl:value-of select="dtinter"/>
											</xsl:if>
											<xsl:if test="@checksum!=''">
												<xsl:text>, checksum: </xsl:text><xsl:value-of select="@checksum"/>
											</xsl:if>
											<xsl:if test="@noversion!=''">
												<xsl:text>, version: </xsl:text><xsl:value-of select="@noversion"/>
											</xsl:if>
											<xsl:if test="@okmaj!=''">
												<xsl:text>, okmaj</xsl:text>
											</xsl:if>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-right="solid 0.5pt" border-top="solid 0.5pt"/>
							</fo:table-row>

							<xsl:apply-templates select="objet"/>

							<fo:table-row height="0.5pt">
								<fo:table-cell text-align="right" border-left="solid 0.5pt"
									border-bottom="solid 0.5pt" border-right="solid 0.5pt"
									number-columns-spanned="4"/>
							</fo:table-row>
							<fo:table-row height="0.1cm"/>

						</fo:table-body>

					</fo:table>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>

	</xsl:template>


	<!-- LES OBJETS -->
	<xsl:template match="objet">

		<fo:table-row>
			<fo:table-cell text-align="right"
				border-left="solid 0.5pt" number-columns-spanned="2"/>
			<fo:table-cell>
				<fo:block>
					<fo:table table-layout="fixed" font-family="Helvetica">
						<fo:table-column column-width="0.6cm"/>		<!-- Dessin objet -->
						<fo:table-column column-width="14.9cm"/>	<!-- lbobjet -->

						<fo:table-body font-size="9pt">
							<fo:table-row>
								<fo:table-cell text-align="right">
									<xsl:attribute name="id"><xsl:value-of select="../../../../@idhost"/>.<xsl:value-of select="../../../@norefprog"/>.<xsl:value-of select="../../nmrep"/>.<xsl:value-of select="../nmfic"/>.<xsl:value-of select="lbobjet"/></xsl:attribute>
									<xsl:if test="@cdverif='V'">
										<xsl:call-template name="cocvert"/>
									</xsl:if>
									<xsl:if test="@cdverif='E'">
										<xsl:call-template name="cocroug"/>
									</xsl:if>
									<xsl:if test="@cdverif='X'">
										<xsl:call-template name="croixrouge"/>
									</xsl:if>
									<xsl:if test="@cdverif!='V' and @cdverif!='E' and @cdverif!='X'">
										<xsl:call-template name="croixbleu"/>
									</xsl:if>
								</fo:table-cell>
								<fo:table-cell padding="2.5pt 3.5pt">
									<fo:block>
										<fo:inline><xsl:text>- </xsl:text></fo:inline>
										<fo:inline font-style="italic">
											<xsl:value-of select="lbobjet"/>
											<xsl:if test="@checksum!=''">
												<xsl:text>, checksum: </xsl:text><xsl:value-of select="@checksum"/>
											</xsl:if>
											<xsl:if test="@noversion!=''">
												<xsl:text>, version: </xsl:text><xsl:value-of select="@noversion"/>
											</xsl:if>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell border-right="solid 0.5pt" />
		</fo:table-row>

	</xsl:template>


</xsl:stylesheet>

